namespace e_suite.Service.Performance.Repository;

public interface IPerformanceRepository
{
    Task SaveReportAsync(PerformanceReport performanceReport);

    Task<long> GetSlowPerformanceThresholdMsAsync(PerformanceCapture performanceReport);
    Task DeleteLogsBefore(DateTimeOffset cutoffTime);
}
